List services
curl --request GET \
--url https://api.lava.so/v1/servicesimport requests
url = "https://api.lava.so/v1/services"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.lava.so/v1/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"provider": "<string>",
"provider_label": "<string>",
"api_reference": "<string>",
"endpoint": "<string>",
"url_template": "<string>",
"workflow": {
"kind": "poll",
"poll_after": "<string>",
"id_field": "<string>"
},
"example_body": {},
"managed": true,
"pricing": {
"input": 123,
"output": 123,
"cache_input_read": 123,
"cache_input_write": 123,
"cost_per_request": 123,
"text": {
"input": 123,
"output": 123
},
"audio": {
"input": 123,
"output": 123
},
"image": {
"input": 123,
"output": 123
}
},
"capabilities": [
"<string>"
]
}
],
"providers": [
{
"id": "<string>",
"label": "<string>",
"api_reference": "<string>",
"managed": true,
"entry_count": 123
}
]
}Services
List services
Returns a list of all models and API services available through the Lava gateway, including provider API reference URLs, pricing, capabilities, and managed/BYOK status. This endpoint is public and does not require authentication.
GET
/
services
List services
Query Parameters
Optional provider identifier to return only one provider slice from the service catalog
⌘I